{
	main[()
	{
		GUI.ImagesetManager.createImageset("ItemIcons.imageset");
		GUI.ImagesetManager.createImageset("rf080_gui.imageset");
		
	}]

	ConsumeMouseEvents[(eargs)
	{
	}]

	Inventory_OnShown[(eargs)
	{
		DialogState.UpdateLevel(true);
		DialogState.RenderLevel(true);		// default
		//DialogState.RenderLevel(false);
		DialogState.Enter();
	}]

	Inventory_OnCloseClicked[(eargs)
	{
		DialogState.Exit();
	}]

	Inventory_OnItemDropped[(eargs)
	{
		dd_args = GUI.toDragDropEventArgs(eargs);

		if(dd_args.window.getChildCount() = 0)
		{
			// Add dragdrop item as child of target if target has no item already
			dd_args.window.addChildWindow(dd_args.dragDropItem);

			// Now we must reset the item position from its 'dropped' location,
			// since we're now a child of an entirely different window
			dd_args.dragDropItem.setPosition(New.UVector2(New.UDim(0.05, 0.0), New.UDim(0.05, 0.0)));
		}
	}]

	Inventory_OnItemCombine[(eargs)
	{
		dd_args = GUI.toDragDropEventArgs(eargs);

		item0 = Inventory.GetItem(dd_args.window);
		item1 = Inventory.GetItem(dd_args.dragDropItem);
		
		if(item0 != null and item1 != null)
		{
			item0.Combine(item1);
		}
	}]

	Inventory_OnUseHealing[(eargs)
	{
                
		m_args = GUI.toMouseEventArgs(eargs);

		item = Inventory.GetItem(m_args.window);

		if(item != null)
		{
			item.Modify("health", 10);
		}
	}]

        Inventory_OnUseMana[(eargs)
	{
		m_args = GUI.toMouseEventArgs(eargs);

		item = Inventory.GetItem(m_args.window);

		if(item != null)
		{
			item.Modify("mana", 10);
		}
	}]


        
}

